Update detected secret resolution status

View as MarkdownOpen in Claude
Updates the resolution status of a secret detected in a workspace.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

secretIdstringRequired
The secret's ID.

Request

This endpoint expects an object.
resolutionenumRequired

The secret’s resolution status:

  • ACTIVE — The secret is active.
  • FALSE_POSITIVE — The discovered secret is not an actual secret.
  • REVOKED — The secret is valid, but the user rotated their key to resolve the issue.
  • ACCEPTED_RISK — The Secret Scanner found the secret, but user accepts the risk of publishing it.
Allowed values:
workspaceIdstringRequired
The ID of the workspace that contains the secret.

Response

Successful Response
secretHashstringOptional

The SHA-256 hash of the detected secret.

workspaceIdstringOptional
The ID of the workspace that contains the secret.
resolutionenumOptional

The secret’s resolution status:

  • ACTIVE — The secret is active.
  • FALSE_POSITIVE — The discovered secret is not an actual secret.
  • REVOKED — The secret is valid, but the user rotated their key to resolve the issue.
  • ACCEPTED_RISK — The Secret Scanner found the secret, but user accepts the risk of publishing it.
Allowed values:
historylist of objectsOptional
The history of the secret's resolution status changes.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error